Bug 2025808 - SELinux is preventing gst-plugin-scan from 'open' accesses on the file /proc/sys/vm/mmap_min_addr.
Summary: SELinux is preventing gst-plugin-scan from 'open' accesses on the file /proc/...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 36
Hardware: x86_64
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Zdenek Pytela
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:b547be7cddc40f3793ec5059c38...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-11-23 05:36 UTC by "FeRD" (Frank Dana)
Modified: 2022-10-12 13:01 UTC (History)
9 users (show)

Fixed In Version: selinux-policy-36.16-1.fc36
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-10-12 13:01:23 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github fedora-selinux selinux-policy pull 1399 0 None open Allow gst-plugin-scanner read virtual memory sysctls 2022-09-21 12:46:14 UTC

Description "FeRD" (Frank Dana) 2021-11-23 05:36:42 UTC
Description of problem:
Occurred on first boot into Fedora 35 after a `dnf system-upgrade` from F34.
SELinux is preventing gst-plugin-scan from 'open' accesses on the file /proc/sys/vm/mmap_min_addr.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that gst-plugin-scan should be allowed open access on the mmap_min_addr file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'gst-plugin-scan' --raw | audit2allow -M my-gstpluginscan
# semodule -X 300 -i my-gstpluginscan.pp

Additional Information:
Source Context                system_u:system_r:xdm_t:s0-s0:c0.c1023
Target Context                system_u:object_r:sysctl_vm_t:s0
Target Objects                /proc/sys/vm/mmap_min_addr [ file ]
Source                        gst-plugin-scan
Source Path                   gst-plugin-scan
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
SELinux Policy RPM            selinux-policy-targeted-35.5-1.fc35.noarch
Local Policy RPM              selinux-policy-targeted-35.5-1.fc35.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 5.14.18-300.fc35.x86_64 #1 SMP Fri
                              Nov 12 16:43:17 UTC 2021 x86_64 x86_64
Alert Count                   1
First Seen                    2021-11-22 18:09:15 EST
Last Seen                     2021-11-22 18:09:15 EST
Local ID                      52c8ab9b-0024-43d8-a92b-765222b0afc8

Raw Audit Messages
type=AVC msg=audit(1637622555.643:375): avc:  denied  { open } for  pid=27016 comm="gst-plugin-scan" path="/proc/sys/vm/mmap_min_addr" dev="proc" ino=32789 scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=system_u:object_r:sysctl_vm_t:s0 tclass=file permissive=0


Hash: gst-plugin-scan,xdm_t,sysctl_vm_t,file,open

Version-Release number of selected component:
selinux-policy-targeted-35.5-1.fc35.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.15.2
hashmarkername: setroubleshoot
kernel:         5.14.18-300.fc35.x86_64
type:           libreport

Comment 1 Fedora Update System 2022-09-30 08:49:37 UTC
FEDORA-2022-0c59a07653 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-0c59a07653

Comment 2 Fedora Update System 2022-10-01 02:12:46 UTC
FEDORA-2022-0c59a07653 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-0c59a07653`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-0c59a07653

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 3 Fedora Update System 2022-10-12 13:01:23 UTC
FEDORA-2022-0c59a07653 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.